# Five Steps to Tulpa

By Ephemeral

A lot of people seem to come into the community having heard about tulpas or having read a few guides, but there never seems to be a shortage of questions on how exactly to begin. Most guides tend to focus on broad concepts and don’t have a lot of concrete steps or instructions, so we see a lot new members coming in and asking what to do. 

There’s a good reason why guides don’t tell you explicitly what to do, as there’s no set technique or method that works for everyone. Some people have to experiment and seek out their own methods, and those methods may only work for them. If you’re one of those people, great, do what works for you. But for the people who always ask what they should try, here is the method that worked for me and several others.

Know that this guide is written assuming you don’t need any moral lectures or forewarnings, and know what you’re getting into. This guide also focuses on purposeful creation, meaning personality and form are decided by the host to start with.

It’s broken down into 5 simple steps.

## Step 1: Modeling

Some tulpamancers insist on letting your tulpa be formless at first, and to let them decide forms for themselves. While I consider that perfectly valid, having a form in mind speeds up the creation process and being fond of your tulpas form only makes things easier.

Start by figuring out a form you’d like them to take, and start to collect artistic references for it. This can be anything from pictures of clothing to photos of animals to get a feel for how fur or hair should work for them. Character art is best for reference, and if you choose a popular character, you’ll have access to a lot of art to use which will make things smoother for you.

After getting a few pictures, get into a comfortable position where you won’t be disturbed. Close your eyes and make sure to have some ambient noise in the background like a fan. If you have total silence, your ears will begin to ring and this can distract you. 

Once comfortable, you can start creating their form. It doesn’t matter how you imagine the process,  but start one piece at a time and be patient. Your mind’s eye, depending on your experience in using it purposefully, may be more or less difficult to control. For instance thinking that the torso shouldn’t be long sometimes makes the torso long because you can’t stop thinking about it. This is just part of the process and there’s no way to avoid it. 

This modelling process can take anywhere from an hour to two hours. Its most effective when done all at once, so I recommend setting aside ample time.

Eventually, using reference and patience, you’ll have a mental model. The model should be stable and able to rotate so it looks consistent from all angles.

## Step 2: Animating

Next you need to start moving the model. Make them do a cute little dance, smile, shake your hand, jump, and just do things you think they would do. Make them emote, do a walk cycle, and fall asleep. Get used to how the model should move and have some fun playing around to see what you think looks good. 

This is a good test to see how solid the form is. A little warping and change is acceptable, but eventually get to a point in which this feels easy to you and simple motions don’t take much effort. This will take half an hour to an hour.

## Step 3: Parroting

Now that you’re comfortable moving the form around, it’s time to start putting words in their mouth. Simulate a conversation with them, moving their mouth as necessary. It will feel awkward at first, but a little bit of awkwardness is normal. When you start getting used to the idea of talking to your tulpa, you can move to personality work.

## Step 4: Personality Forcing

Personality forcing is the biggest step in the process. Creating a mental model and playing with it is one thing, but this is the point in which you start to create a living being. It’s important to take seriously. Before you begin the personality force session, physically write down the character traits of your tulpa and how they manifest. Try to eliminate any conflicting traits. Giving them difficult to follow personality guidelines can stress them out and cause identity confusion.

After you decide their traits, create a wonderland area and use symbolism to imbue the traits. The most common one is feeding your tulpa the traits via colored jelly. There’s also shooting them with beams, so long as you don’t see the beams as violent or hurtful. Whatever you choose, make sure to monologue about how each trait manifests in them as you give them to the tulpa. 

Go one trait at a time, and after you’re done explaining the trait and how it’s expressed in them, give them a chance to try it out. For instance, if your tulpa is "loving" then let them hug you. Give a few seconds to let them play with each one. You will have to parrot and animate for them periodically, but at some point during this process they’ll begin to take over to some extent.

This is when the line between you animating/parroting vs your tulpa moving and talking starts to become blurry. A tulpa finding their unique voice sound usually takes a little longer, but keep an eye out for your tulpa starting to act on their own during and after this process. Remember to proceed as if they are alive during and after the personality work, as that will make it easier for them.

A few things to mention...

You may have to repeat steps 1-4 (you don’t have to do symbolism but tulpas will appreciate being talked to in regards to who they are) in various sessions to keep your skillset strong and your personality work firm. However, bear in mind that it’s important to let them deviate. Deviation is healthy for the both of you as it lets them express themselves and have free will. Adapt your personality and modeling work around this, but don’t be afraid to ask them if they could be more of some particular trait or wear their hair in a certain way.

If they deviate in a way that’s unhealthy or unacceptable, you will have to put your foot down and undo the deviation (using the same symbolism methods). Use good judgement here. Explain clearly why the deviation isn’t acceptable and what you’d like them to do instead. Tulpamancy is a lot like being a parent, so don’t feel bad if you have to tell them ‘no’ sometimes, yet it’s important to let them be their own person and not feel controlled. Seek a balance between behavior rules and freedom.

Now at some point in time, you may have considered character flaws. There’s an eternally raging debate on whether introducing character flaws is an acceptable thing to do when making a tulpa. Like most things, it depends. They’re going to be aware of the flaws you give them, and that sends a message. For some, flaws can be healthy. They’ll adopt a few naturally anyways, as nobody is perfect, but keep in mind how they’ll interpret being given a negative trait. 

## Step 5: Stimulus

As part of your regular forcing after the first personality session, begin to expose your tulpa to stimulus. Build worlds for them to explore, share snow and cotton candy with them. Let them see a precious memory of yours and where you live in real life. 

Do everything and anything you consider to be a healthy, positive experience, and let them feel it for themselves. Talk to them, and let them decide how they feel about things. Even if they’re unsure OR don’t appear sentient yet, it’s important to treat them as if they are and give them interesting things to play with and explore. You may have to use parroting or animate them yourself, but they’ll eventually start to do things on their own and begin to grow in strength from this.

This will also help shape and solidify their personality traits as they interact with things and get to express themselves in response. 

## Completion

At some point in time you’ll be doing less and less form maintenance and you’ll have a good understanding of things they like and don’t like. You’ll have made a few wonderland locations you both enjoy frequenting and eventually you’ll realize you’re not putting forth effort to animate or force your tulpa to speak. This is when you’ve achieved sentience. It doesn’t come in a flash or with fanfare. It’s much more like riding a bike and having a parent let go without you realizing. At some point you’ll look back and realize you aren’t doing it for them anymore, and they’ll start to surprise you or create a wonderlands to show you instead.

Enjoy your time together--you’ve successfully made a companion for a lifetime, and they’ll always remember how much love and hard work you put into making them. 
