# How to Track Switches
### From Within

As your system grows, you might find it useful to keep track of who switched into front for how long in order to help better understand who uses the body the most and for what. There are multiple ways to do this (some more challenging than others), and we will outline some in this article.


Over all of these methods, we are going to collect the following metrics for every switch that is logged:
  - Who is now front
  - What time the switch is recorded at
  - Optionally, any additional notes about the switching method, process or other external factors that helped or hindered the switch. This isn't possible with every method of switch tracking, but when it is possible it's very useful.

## Text Document

This method is not very technically sophisticated. This can be done with just about every operating system released on most computers since at least 1980. Choose a location for your switching log and then create a file where you will record the above metrics.

To log a switch, open your switching log and scroll all the way down. At the end of the file write the current date and time (if you are using Notepad for Windows to do this, press F5 to insert the current date and time) as well as who switched into front, separated however you want. It's your text file. You can format it how you want. It may be more useful to make it structured like comma-separated values files, but at that point you might as well use a spreadsheet.

## Spreadsheet
Given how structured this data is, it is also a good idea to use a spreadsheet to manage it. A structure like the following should be good enough for most needs:

| Timestamp | Front | Notes |
| :-------- | :---- | :---- |
| 6/13/2018 22:33 | Cadey | Meditation while not in front is trippy. |

Keeping the data like this should also make it a lot easier to run analysis on it in the future. Analysis on data like this in spreadsheet programs is far beyond the scope of this guide, but googling around for help manuals of your spreadsheet program of choice should help point you in the right direction.

## www.switchcounter.science

Switch Counter is a web application made by a member of the tulpamancy community. It is a dead simple switch tracking application and is written in full compliance with data security best practices. You can log switches either directly on the website or via apps such as Tasker/Workflow.

To set up an account, open a browser to https://www.switchcounter.science and click on "Sign up now!": 

![](https://i.imgur.com/CdlQ8QY.png)

Fill in a name. The name doesn't matter, but if you have one it's probably a good idea to put your system name here to make it relatively anonymous. Submit the form and then you get this message: 

![](https://i.imgur.com/MtzOZcI.png)

Open your email and click on the link: 

![](https://i.imgur.com/flx6nav.png)

You will be greeted with the privacy options screen. Talk with your systemmates about this. If you are unsure, do not change any of these values.

![](https://i.imgur.com/dyMHnls.png)

Now, enter in your name as the first systemmate:

![](https://i.imgur.com/y2SDqyM.png)

And then click "Create member":

![](https://i.imgur.com/xIftFro.png)

And enter in the names of other systemmates that will switch into front:

![](https://i.imgur.com/opYulgC.png)

Then click on the SwitchCounter logo in the upper left hand corner of the page:

![](https://i.imgur.com/cVUhNWk.png)

Now, click the big "Switch" button under whoever is currently in front:

![](https://i.imgur.com/yzuFrOj.png)

In the future, you can log switches the same way.

These graphs start out simplisitic, but over time as more and more switches are added, they can get more and more complicated. Here is an example of our switch graph as of the writing of this article: 

![](https://i.imgur.com/pwiFwG7.png)

Via [Workflow](https://www.workflow.is/), you can set up a little menu to log switches faster with the webhook ([Menu -> Webhook](https://i.imgur.com/Q2B0RA5.png)) feature: https://imgur.com/a/DWFj9HD

Usage via the app is fairly simple: 

![](https://i.imgur.com/DqHO4ck.jpg)

This even works from an Apple Watch too: https://imgur.com/a/ympVWNr

We are told that you can do the same thing using Tasker (https://tasker.joaoapps.com/) for Android, but weren't able to test it in time for this draft of this guide.

## Conclusion

We hope this will help you and your system keep better tabs on who fronts for how long. This article is part of the "You have a tulpa, now what?" series, a set of guides aimed at helping tulpamancers integrate tulpas better into their personal, professional and online lives.

If you end up modifying the methods listed in this tutorial, please be sure to reach out to us. One modification we made to the Workflow configuration shown above is to send a message to a loved one when we log a switch for accountability reasons. Our primary Discord contact is Cadey~#1337.

Be well.
